notiflowsDocs
Notiflows

Publish notiflow

Publish the current draft version, making it the live version used for execution.

Publishing validates the flow structure. If the flow is invalid, the publish is rejected.

POST
/notiflows/{handle}/publish

Authorization

AccountToken
AuthorizationBearer <token>

Account token (prefix nf_at_), sent as Authorization: Bearer nf_at_…. Created in the dashboard under Account tokens; account-scoped (all projects in the account).

In: header

Path Parameters

handle*string

Notiflow handle

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.notiflows.com/management/v1/notiflows/welcome-series/publish"
{
  "active": true,
  "created_at": "2019-08-24T14:15:22Z",
  "current_version": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "inserted_at": "2019-08-24T14:15:22Z",
    "notiflow_id": "d74aa67e-7f71-4dba-be64-9b94d47ae12a",
    "published_at": "2019-08-24T14:15:22Z",
    "sha": "string",
    "status": "draft",
    "steps": [
      {
        "branch_handle": "string",
        "channel_handle": "string",
        "channel_type": "in_app",
        "conditions": [
          {
            "conditions": [
              {
                "operator": "equal_to",
                "property": "data.plan",
                "value": null
              }
            ]
          }
        ],
        "handle": "welcome_email",
        "name": "Welcome Email",
        "parent_step_handle": "string",
        "position": 0,
        "settings": {},
        "type": "trigger"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "valid": true,
    "version_number": 3
  },
  "handle": "welcome-series",
  "has_unpublished_changes": true,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "include_in_preferences": true,
  "name": "Welcome Series",
  "published_version": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "inserted_at": "2019-08-24T14:15:22Z",
    "notiflow_id": "d74aa67e-7f71-4dba-be64-9b94d47ae12a",
    "published_at": "2019-08-24T14:15:22Z",
    "sha": "string",
    "status": "draft",
    "steps": [
      {
        "branch_handle": "string",
        "channel_handle": "string",
        "channel_type": "in_app",
        "conditions": [
          {
            "conditions": [
              {
                "operator": "equal_to",
                "property": "data.plan",
                "value": null
              }
            ]
          }
        ],
        "handle": "welcome_email",
        "name": "Welcome Email",
        "parent_step_handle": "string",
        "position": 0,
        "settings": {},
        "type": "trigger"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "valid": true,
    "version_number": 3
  },
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}
{
  "error": {
    "code": "not_found",
    "details": {
      "allowed_statuses": [
        "string"
      ],
      "allowed_transitions": [
        "string"
      ],
      "auth": "api_key",
      "current_status": "string",
      "fields": [
        {
          "field": "email",
          "message": "can't be blank",
          "reason": "required"
        }
      ],
      "id": "string",
      "idempotency_key": "string",
      "limit": 0,
      "param": "string",
      "reason": "string",
      "required_scope": "string",
      "resource": "string",
      "retry_after": 0,
      "window": "string"
    },
    "message": "User not found",
    "request_id": "req_abc123",
    "status": 404,
    "type": "https://notiflows.com/docs/api/errors#not_found-404"
  }
}